Bug 1322846 - Review Request: SuperLUMT - Single precision real SuperLU routines for shared memory parallel machines
Summary: Review Request: SuperLUMT - Single precision real SuperLU routines for shared...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-31 12:34 UTC by Antonio
Modified: 2016-05-07 12:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-25 23:54:18 UTC
nonamedotc: fedora-review+


Attachments (Terms of Use)
rpmlint on installed packages (3.12 KB, text/plain)
2016-04-10 21:49 UTC, Mukundan Ragavan
no flags Details
licensecheck output (15.14 KB, text/plain)
2016-04-10 21:51 UTC, Mukundan Ragavan
no flags Details

Description Antonio 2016-03-31 12:34:16 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/Ipopt-EPEL/SuperLUMT.git/plain/SuperLUMT.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/Ipopt-EPEL/fedora-rawhide-x86_64/00172367-SuperLUMT/SuperLUMT-3.1.0-2.fc25.src.rpm

Description: 
Subroutines to solve sparse linear systems for shared memory parallel machines.
SuperLU contains a set of subroutines to solve a sparse linear system 
A*X=B. It uses Gaussian elimination with partial pivoting (GEPP). 
The columns of A may be preordered before factorization; the 
preordering for sparsity is completely separate from the factorization.

Fedora Account System Username: sagitter

This package is for EPEL6/7 and Fedora

Comment 1 Antonio 2016-03-31 12:40:49 UTC
I'm waiting for upstream reply regarding License file.

Some Example files fail by using libraries with 64-bit integers.

Comment 2 Mukundan Ragavan 2016-03-31 23:23:39 UTC
I will follow the blog. Once you remove NotReady tag, I will review this right away.

Comment 4 Mukundan Ragavan 2016-04-03 10:50:39 UTC
Yup! Saw the email. :) 

Setting review flag.

Comment 5 Mukundan Ragavan 2016-04-10 21:48:32 UTC

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 454 files have unknown license.
     Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/licensecheck.txt

---> This list is not completely correct. In the attachment, only the CBLAS files are missing license headers. While the other files listed do not have the full license text, they DO in fact contain license headers

"Copyright (c) 2003, The Regents of the University of California, through
Lawrence Berkeley National Laboratory (subject to receipt of any required 
approvals from U.S. Dept. of Energy) 

All rights reserved. 

The source code is distributed under BSD license, see the file License.txt
at the top-level directory."

This is, of course, what we (Antonio and I) had requested upstream developers and they obliged.


[x]: License file installed when any subpackage combination is installed.


---> Base package requires -common subpackage which contains the license files.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 706560 bytes in 2 files.

---> Might I suggest a change here? Please consider moving the license file to the main package and change the -common subpackage to -doc. I think that makes the arrangement better.

If you change it to a -doc subpackage, you will need Requires:%{name}%{?_isa} = %{version}-%{release} on the sub-packages. Looking at the spec, I think this is missing already.

[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     SuperLUMT-double , SuperLUMT-complex , SuperLUMT-complex16 ,
     SuperLUMT64 , SuperLUMT64-double , SuperLUMT64-complex ,
     SuperLUMT64-complex16 , SuperLUMT64-devel , SuperLUMT-common ,
     SuperLUMT-debuginfo


---> Please see earlier comment. 

As it stands now, all the sub packages depend on -common and not on the base pacakge. I think this needs to be changed. If you decide to incorporate the change I have suggested above, this will also be addressed.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

---> Build did finish and rpmlint output is attached.

Changing to [x]

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-double-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-complex-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-complex16-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-devel-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-double-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-complex-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-complex16-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-devel-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-common-3.1.0-3.fc24.noarch.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-debuginfo-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-debuginfo-3.1.0-3.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-24-x86_64/root/ --releasever 24 --disableplugin=local --setopt=deltarpm=false install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-double-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-complex-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-complex16-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-devel-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-double-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-complex-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-complex16-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT64-devel-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-common-3.1.0-3.fc24.noarch.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-debuginfo-3.1.0-3.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/results/SuperLUMT-debuginfo-3.1.0-3.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: SuperLUMT-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT-double-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT-complex-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT-complex16-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT-devel-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT64-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT64-double-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT64-complex-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT64-complex16-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT64-devel-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT-common-3.1.0-3.fc24.noarch.rpm
          SuperLUMT-debuginfo-3.1.0-3.fc24.x86_64.rpm
          SuperLUMT-3.1.0-3.fc24.src.rpm
SuperLUMT.x86_64: W: spelling-error %description -l en_US preordered -> reordered, p reordered, prerecorded
SuperLUMT.x86_64: W: spelling-error %description -l en_US preordering -> reordering, p reordering, preordaining
SuperLUMT.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt_s.so.3.1 exit@GLIBC_2.2.5
SuperLUMT.x86_64: W: no-documentation
SuperLUMT-double.x86_64: E: description-line-too-long C This package contains double precision real SuperLU routines library by SuperLUMT.

---> please fix this.

SuperLUMT-double.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt_d.so.3.1 exit@GLIBC_2.2.5
SuperLUMT-double.x86_64: W: no-documentation
SuperLUMT-complex.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt_c.so.3.1 exit@GLIBC_2.2.5
SuperLUMT-complex.x86_64: W: no-documentation
SuperLUMT-complex16.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt_z.so.3.1 exit@GLIBC_2.2.5
SuperLUMT-complex16.x86_64: W: no-documentation
SuperLUMT-devel.x86_64: W: only-non-binary-in-usr-lib
SuperLUMT-devel.x86_64: W: no-documentation
SuperLUMT64.x86_64: E: summary-too-long C Single precision real SuperLU routines for shared memory parallel machines (64bit INTEGER)
SuperLUMT64.x86_64: W: spelling-error %description -l en_US preordered -> reordered, p reordered, prerecorded
SuperLUMT64.x86_64: W: spelling-error %description -l en_US preordering -> reordering, p reordering, preordaining
SuperLUMT64.x86_64: E: description-line-too-long C Subroutines to solve sparse linear systems for shared memory parallel machines (64bit INTEGER).
SuperLUMT64.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt64_s.so.3.1 exit@GLIBC_2.2.5
SuperLUMT64.x86_64: W: no-documentation
SuperLUMT64-double.x86_64: E: summary-too-long C Double precision real SuperLU routines for shared memory parallel machines (64bit INTEGER)
SuperLUMT64-double.x86_64: E: description-line-too-long C This package contains double precision real SuperLU routines library by SuperLUMT (64bit INTEGER).
SuperLUMT64-double.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt64_d.so.3.1 exit@GLIBC_2.2.5
SuperLUMT64-double.x86_64: W: no-documentation
SuperLUMT64-complex.x86_64: E: summary-too-long C Single precision complex SuperLU routines for shared memory parallel machines (64bit INTEGER)
SuperLUMT64-complex.x86_64: E: description-line-too-long C This package contains single precision complex routines library by SuperLUMT (64bit INTEGER).
SuperLUMT64-complex.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt64_c.so.3.1 exit@GLIBC_2.2.5
SuperLUMT64-complex.x86_64: W: no-documentation
SuperLUMT64-complex16.x86_64: E: summary-too-long C Double precision complex SuperLU routines for shared memory parallel machines (64bit INTEGER)
SuperLUMT64-complex16.x86_64: E: description-line-too-long C This package contains double precision complex routines library by SuperLUMT (64bit INTEGER).
SuperLUMT64-complex16.x86_64: W: shared-lib-calls-exit /usr/lib64/libsuperlumt64_z.so.3.1 exit@GLIBC_2.2.5
SuperLUMT64-complex16.x86_64: W: no-documentation
SuperLUMT64-devel.x86_64: W: only-non-binary-in-usr-lib
SuperLUMT64-devel.x86_64: W: no-documentation
SuperLUMT.src: W: spelling-error %description -l en_US preordered -> reordered, p reordered, prerecorded
SuperLUMT.src: W: spelling-error %description -l en_US preordering -> reordering, p reordering, preordaining
SuperLUMT.src: W: patch-not-applied Patch2: %{name}64-build_shared.patch
SuperLUMT.src: W: patch-not-applied Patch3: %{name}64-fix_testsuite.patch
SuperLUMT.src: W: patch-not-applied Patch5: %{name}64-fix_examples.patch
13 packages and 0 specfiles checked; 9 errors, 29 warnings.




Requires
--------
SuperLUMT-devel (rpmlib, GLIBC filtered):
    SuperLUMT(x86-64)
    SuperLUMT-complex(x86-64)
    SuperLUMT-complex16(x86-64)
    SuperLUMT-double(x86-64)

SuperLUMT-debuginfo (rpmlib, GLIBC filtered):

SuperLUMT64-double (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso64.so.0()(64bit)
    libopenblaso64_.so.0()(64bit)
    libopenblasp64.so.0()(64bit)
    libopenblasp64_.so.0()(64bit)
    rtld(GNU_HASH)

SuperLUMT-double (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso.so.0()(64bit)
    libopenblasp.so.0()(64bit)
    rtld(GNU_HASH)

SuperLUMT64-complex16 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso64.so.0()(64bit)
    libopenblaso64_.so.0()(64bit)
    libopenblasp64.so.0()(64bit)
    libopenblasp64_.so.0()(64bit)
    rtld(GNU_HASH)

SuperLUMT-common (rpmlib, GLIBC filtered):

SuperLUMT-complex (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso.so.0()(64bit)
    libopenblasp.so.0()(64bit)
    rtld(GNU_HASH)

SuperLUMT64 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso64.so.0()(64bit)
    libopenblaso64_.so.0()(64bit)
    libopenblasp64.so.0()(64bit)
    libopenblasp64_.so.0()(64bit)
    rtld(GNU_HASH)

SuperLUMT-complex16 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso.so.0()(64bit)
    libopenblasp.so.0()(64bit)
    rtld(GNU_HASH)

SuperLUMT64-devel (rpmlib, GLIBC filtered):
    SuperLUMT64(x86-64)
    SuperLUMT64-complex(x86-64)
    SuperLUMT64-complex16(x86-64)
    SuperLUMT64-double(x86-64)

SuperLUMT (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso.so.0()(64bit)
    libopenblasp.so.0()(64bit)
    rtld(GNU_HASH)

SuperLUMT64-complex (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    SuperLUMT-common
    gcc-gfortran(x86-64)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libopenblaso64.so.0()(64bit)
    libopenblaso64_.so.0()(64bit)
    libopenblasp64.so.0()(64bit)
    libopenblasp64_.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
SuperLUMT-devel:
    SuperLUMT-devel
    SuperLUMT-devel(x86-64)

SuperLUMT-debuginfo:
    SuperLUMT-debuginfo
    SuperLUMT-debuginfo(x86-64)

SuperLUMT64-double:
    SuperLUMT64-double
    SuperLUMT64-double(x86-64)
    libsuperlumt64_d.so.3.1()(64bit)

SuperLUMT-double:
    SuperLUMT-double
    SuperLUMT-double(x86-64)
    libsuperlumt_d.so.3.1()(64bit)

SuperLUMT64-complex16:
    SuperLUMT64-complex16
    SuperLUMT64-complex16(x86-64)
    libsuperlumt64_z.so.3.1()(64bit)

SuperLUMT-common:
    SuperLUMT-common

SuperLUMT-complex:
    SuperLUMT-complex
    SuperLUMT-complex(x86-64)
    libsuperlumt_c.so.3.1()(64bit)

SuperLUMT64:
    SuperLUMT64
    SuperLUMT64(x86-64)
    libsuperlumt64_s.so.3.1()(64bit)

SuperLUMT-complex16:
    SuperLUMT-complex16
    SuperLUMT-complex16(x86-64)
    libsuperlumt_z.so.3.1()(64bit)

SuperLUMT64-devel:
    SuperLUMT64-devel
    SuperLUMT64-devel(x86-64)

SuperLUMT:
    SuperLUMT
    SuperLUMT(x86-64)
    libsuperlumt_s.so.3.1()(64bit)

SuperLUMT64-complex:
    SuperLUMT64-complex
    SuperLUMT64-complex(x86-64)
    libsuperlumt64_c.so.3.1()(64bit)



Source checksums
----------------
http://crd-legacy.lbl.gov/~xiaoye/SuperLU/superlu_mt_3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 407b544b9a92b2ed536b1e713e80f986824cf3016657a4bfc2f3e7d2a76ecab6
  CHECKSUM(SHA256) upstream package : 407b544b9a92b2ed536b1e713e80f986824cf3016657a4bfc2f3e7d2a76ecab6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-24-x86_64 --rpm-spec -n SuperLUMT-3.1.0-3.fc25.src.rpm
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Mukundan Ragavan 2016-04-10 21:49:22 UTC
My complaints - 

1/

[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 706560 bytes in 2 files.

---> Might I suggest a change here? Please consider moving the license file to the main package and change the -common subpackage to -doc. I think that makes the arrangement better.

If you change it to a -doc subpackage, you will need Requires:%{name}%{?_isa} = %{version}-%{release} on the sub-packages. Looking at the spec, I think this is missing already.


2/

[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     SuperLUMT-double , SuperLUMT-complex , SuperLUMT-complex16 ,
     SuperLUMT64 , SuperLUMT64-double , SuperLUMT64-complex ,
     SuperLUMT64-complex16 , SuperLUMT64-devel , SuperLUMT-common ,
     SuperLUMT-debuginfo


---> Please see earlier comment. 

As it stands now, all the sub packages depend on -common and not on the base pacakge. I think this needs to be changed. If you decide to incorporate the change I have suggested above, this will also be addressed.

Comment 7 Mukundan Ragavan 2016-04-10 21:49:54 UTC
Created attachment 1145787 [details]
rpmlint on installed packages

Comment 8 Mukundan Ragavan 2016-04-10 21:51:46 UTC
Created attachment 1145788 [details]
licensecheck output


Comment about licensecheck - 

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 454 files have unknown license.
     Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1322846-SuperLUMT/SuperLUMT/licensecheck.txt

---> This list is not completely correct. In the attachment, only the CBLAS files are missing license headers. While the other files listed do not have the full license text, they DO in fact contain license headers

"Copyright (c) 2003, The Regents of the University of California, through
Lawrence Berkeley National Laboratory (subject to receipt of any required 
approvals from U.S. Dept. of Energy) 

All rights reserved. 

The source code is distributed under BSD license, see the file License.txt
at the top-level directory."

This is, of course, what we (Antonio and I) had requested upstream developers and they obliged.





Also take a look at the rpmlint messages. There are one or two that can be fixed.

For example,

SuperLUMT-double.x86_64: E: description-line-too-long C This package contains double precision real SuperLU routines library by SuperLUMT.

---> please fix this.

Comment 9 Antonio 2016-04-11 18:15:46 UTC
(In reply to Mukundan Ragavan from comment #6)
> My complaints - 
> 
> 1/
> 
> [?]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 706560 bytes in 2 files.
> 
> ---> Might I suggest a change here? Please consider moving the license file
> to the main package and change the -common subpackage to -doc. I think that
> makes the arrangement better.
> 
> If you change it to a -doc subpackage, you will need
> Requires:%{name}%{?_isa} = %{version}-%{release} on the sub-packages.
> Looking at the spec, I think this is missing already.
> 
> 
> 2/
> 
> [?]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      SuperLUMT-double , SuperLUMT-complex , SuperLUMT-complex16 ,
>      SuperLUMT64 , SuperLUMT64-double , SuperLUMT64-complex ,
>      SuperLUMT64-complex16 , SuperLUMT64-devel , SuperLUMT-common ,
>      SuperLUMT-debuginfo
> 
> 
> ---> Please see earlier comment. 
> 
> As it stands now, all the sub packages depend on -common and not on the base
> pacakge. I think this needs to be changed. If you decide to incorporate the
> change I have suggested above, this will also be addressed.

I don't agree here. Since every sub-package should work autonomously, I don't think every one needs to depend by a main package; the only common files are License, Readme and PDF file of about 600 Kb in fact.

Comment 10 Mukundan Ragavan 2016-04-11 21:14:33 UTC
Well, looking at the package again, I did misunderstand the package structure ... :(


So, yes, you are correct. The packages are not dependent on each other.

The other issues are not show stoppers. Please fix the rpmlint messages.

Also, do you need those unapplied patches in the source tarball?



A general comment - if you are using COPR links (comment #3), please use the links to the plain files.



Package APPROVED. Fix the minor rpmlint message and un-needed patches before importing.

If you don't mind, please add me as co-maintainer.

Comment 11 Antonio 2016-04-12 12:47:00 UTC
(In reply to Mukundan Ragavan from comment #10)
> Well, looking at the package again, I did misunderstand the package
> structure ... :(
> 
> 
> So, yes, you are correct. The packages are not dependent on each other.
> 
> The other issues are not show stoppers. Please fix the rpmlint messages.
> 
> Also, do you need those unapplied patches in the source tarball?

Those patches are applied, see line #241 -> #245.

Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/Ipopt-EPEL/SuperLUMT.git/plain/SuperLUMT.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/Ipopt-EPEL/fedora-rawhide-x86_64/00174764-SuperLUMT/SuperLUMT-3.1.0-4.fc25.src.rpm

> 
> 
> Package APPROVED. Fix the minor rpmlint message and un-needed patches before
> importing.
> 
> If you don't mind, please add me as co-maintainer.

Thank you.

Comment 12 Mukundan Ragavan 2016-04-12 12:51:05 UTC
(In reply to Antonio Trande from comment #11)
> 
> Those patches are applied, see line #241 -> #245.
> 
> Spec URL:
> http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/Ipopt-EPEL/SuperLUMT.
> git/plain/SuperLUMT.spec
> 
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/sagitter/Ipopt-EPEL/fedora-
> rawhide-x86_64/00174764-SuperLUMT/SuperLUMT-3.1.0-4.fc25.src.rpm
> 


Yes indeed. I should not have commented just based on the rpmlint messages the second time. :(

Comment 13 Fedora Update System 2016-04-14 10:00:20 UTC
SuperLUMT-3.1.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-56aea04c26

Comment 14 Fedora Update System 2016-04-14 10:00:28 UTC
SuperLUMT-3.1.0-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cea71b04a7

Comment 15 Fedora Update System 2016-04-14 10:00:34 UTC
SuperLUMT-3.1.0-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4d2c564b2c

Comment 16 Fedora Update System 2016-04-14 10:00:39 UTC
SuperLUMT-3.1.0-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a2210296a

Comment 17 Fedora Update System 2016-04-15 08:32:10 UTC
SuperLUMT-3.1.0-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cea71b04a7

Comment 18 Fedora Update System 2016-04-15 08:37:34 UTC
SuperLUMT-3.1.0-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4d2c564b2c

Comment 19 Fedora Update System 2016-04-15 12:47:08 UTC
SuperLUMT-3.1.0-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4a2210296a

Comment 20 Fedora Update System 2016-04-16 19:26:16 UTC
SuperLUMT-3.1.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-56aea04c26

Comment 21 Fedora Update System 2016-04-25 23:54:16 UTC
SuperLUMT-3.1.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-04-30 03:34:33 UTC
SuperLUMT-3.1.0-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-04-30 04:03:11 UTC
SuperLUMT-3.1.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-05-07 12:09:35 UTC
SuperLUMT-3.1.0-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.